Ir al contenido principal
Conversations

Delete a conversation

Permanently deletes a conversation by its short ID.

DELETE
/v2/conversations/{id}

Path Parameters

  • id - The conversation short ID (numeric)

Response

Returns a deletion confirmation object:

{
  "id": "12345",
  "object": "conversation",
  "deleted": true
}

Caution

This operation is irreversible. The conversation and all its messages will be permanently deleted.

Version Availability

This endpoint is only available in API version 2026-01-01.nova and newer.

Authorizationstringheaderobligatorio

API key as Bearer token. Use: Authorization: Bearer sk_...

idstringobligatorio

Conversation ID (short ID)

Required string length: 1 - 16
Patrón: ^[a-zA-Z0-9]+$
Ejemplo: 12345
Featurebase-Versionenum<string>header

API version for this request. Defaults to your organization's configured API version if not specified.

Opciones disponibles: 2026-08-19.orbit, 2026-01-01.nova, 2025-12-12.clover
Ejemplo: 2026-08-19.orbit

Respuesta

application/json

Success

deletedenum<boolean>obligatorio

Indicates the resource was deleted

Opciones disponibles: true
Ejemplo: true
idstringobligatorio

Unique identifier of the deleted conversation

Ejemplo: 12345
objectenum<string>obligatorio

Object type identifier

Opciones disponibles: conversation
Ejemplo: conversation